Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class FolderDefinition

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObjectDefinition

            |

            +--oracle.ifs.beans.PublicObjectDefinition

                  |

                  +--oracle.ifs.beans.FolderDefinition

public class FolderDefinition
extends PublicObjectDefinition

The FolderDefinition class is used to construct a Folder object. This subclass of PublicObjectDefinition only sets the default ClassObject to "FOLDER"; all other behavior is inherited.

An instance of a FolderDefinition is passed to LibrarySession.createPublicObject() to actually construct the new folder.

See Also:
  `LibrarySession.createPublicObject(oracle.ifs.beans.PublicObjectDefinition)`

Constructor Summary
`FolderDefinition(LibrarySession session)` Constructs a FolderDefinition explicitly capturing the session.

Method Summary
`int` | `getFolderDepthOption()` Gets the Folder depth system option that is set.
`void` | `setFolderDepthOption(int depth)` Sets the Folder depth system option.

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`addCategoryDefinition, getAddToFolderOption, getCategoryDefinitions, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifyDateOption, getLockForSessionOption, getSecuringPublicObject, getUnlockForSessionOption, setAddToFolderOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifyDateOption, setLockForSessionOption, setSecuringPublicObject, setUnlockForSessionOption`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`clone, getAttribute, getAttributes, getClassObject, getOption, getOptionKeys, removeAttribute, removeOption, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributes, setClassObject, setOption`

Constructor Detail

### FolderDefinition

    public FolderDefinition(LibrarySession session)
                     throws IfsException

  Constructs a FolderDefinition explicitly capturing the session.
  Parameters:
    `session` - current LibrarySession
  Throws:
    `IfsException` - if the operation fails

Method Detail

### setFolderDepthOption

    public void setFolderDepthOption(int depth)
                              throws IfsException

  Sets the Folder depth system option. This option is only valid for delete and free operations.
  Parameters:
    `depth` - folder depth system option
  Throws:
    `IfsException` - if the operation fails

### getFolderDepthOption

    public int getFolderDepthOption()
                             throws IfsException

  Gets the Folder depth system option that is set.
  Returns:
    Folder depth system option; return Folder.SYSTEMOPTIONVALUE_FOLDER_DEPTH_NONE if is none set.
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD